* {

    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {

    font-family: Arial, sans-serif;

    background: #f4f6f9;

    padding: 40px;
}

.container {

    max-width: 1100px;

    margin: auto;
}

.form-card,
.result-card {

    background: white;

    padding: 35px;

    border-radius: 12px;

    box-shadow: 0 4px 12px rgba(0,0,0,0.08);
}

h1 {

    margin-bottom: 30px;

    color: #222;
}

.grid {

    display: grid;

    grid-template-columns: repeat(2, 1fr);

    gap: 18px;
}

input,
select {

    width: 100%;

    padding: 14px;

    border: 1px solid #ddd;

    border-radius: 8px;

    font-size: 15px;
}

button {

    margin-top: 30px;

    padding: 15px;

    width: 100%;

    border: none;

    border-radius: 8px;

    background: #111827;

    color: white;

    font-size: 16px;

    cursor: pointer;
}

button:hover {

    opacity: 0.9;
}

.success-box {

    background: #d1fae5;

    color: #065f46;

    padding: 15px;

    border-radius: 8px;

    margin-bottom: 20px;
}

.error-box {

    background: #fee2e2;

    color: #991b1b;

    padding: 15px;

    border-radius: 8px;

    margin-bottom: 20px;
}

.status-info {

    margin-bottom: 25px;
}

pre {

    background: #111827;

    color: #00ff95;

    padding: 20px;

    border-radius: 8px;

    overflow-x: auto;

    margin-bottom: 25px;

    white-space: pre-wrap;
}

@media(max-width:768px) {

    .grid {

        grid-template-columns: 1fr;
    }
}